Skip to main content
GET
Get certificate

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cert_id
string
required

Unique ID of the certificate to retrieve.

Query Parameters

include
enum<string>[]

A list of additional fields to include in the response. Currently the only supported value is content to fetch the PEM content of the certificate.

Available options:
content

Response

200 - application/json

Certificate retrieved successfully.

Represents an individual certificate uploaded to the organization.

object
enum<string>
required

The object type.

  • If creating, updating, or getting a specific certificate, the object type is certificate.
  • If listing, activating, or deactivating certificates for the organization, the object type is organization.certificate.
  • If listing, activating, or deactivating certificates for a project, the object type is organization.project.certificate.
Available options:
certificate,
organization.certificate,
organization.project.certificate
id
string
required

The identifier, which can be referenced in API endpoints

name
string
required

The name of the certificate.

created_at
integer
required

The Unix timestamp (in seconds) of when the certificate was uploaded.

certificate_details
object
required
active
boolean

Whether the certificate is currently active at the specified scope. Not returned when getting details for a specific certificate.